function TabBinder_OnLoad()
	this:RegisterEvent("ZONE_CHANGED_NEW_AREA");
	this:RegisterEvent("PLAYER_REGEN_ENABLED");
	this:RegisterEvent("DUEL_REQUESTED");
	this:RegisterEvent("DUEL_FINISHED");
	this:RegisterEvent("CHAT_MSG_SYSTEM");
	TB_Fail = false
end

function TabBinder_OnEvent(event,...)
	if event=="CHAT_MSG_SYSTEM" then
		if arg1=="You have requested a duel." then
			event = "DUEL_REQUESTED"
		end
	end
	if event=="ZONE_CHANGED_NEW_AREA" or (event=="PLAYER_REGEN_ENABLED" and TB_Fail) or event=="DUEL_REQUESTED" or event=="DUEL_FINISHED" then
		local which = GetCurrentBindingSet();
		local ZoneName = GetRealZoneText();
		local pvpType = GetZonePVPInfo();
		
		TB_TargetKey = GetBindingKey("TARGETNEARESTENEMYPLAYER");
		if TB_TargetKey == nil then
			TB_TargetKey = GetBindingKey("TARGETNEARESTENEMY");
		end
		if TB_TargetKey == nil then
			TB_TargetKey = "TAB"
		end
		
		TB_LastTargetKey = GetBindingKey("TARGETPREVIOUSENEMYPLAYER");
		if TB_LastTargetKey == nil then
			TB_LastTargetKey = GetBindingKey("TARGETPREVIOUSENEMY");
		end
		if TB_LastTargetKey == nil then
			TB_LastTargetKey = "SHIFT-TAB"
		end
		
		local CurrentBind = GetBindingAction(TB_TargetKey);
		if (pvpType == "arena" or pvpType == "combat") or (ZoneName == "Warsong Gulch" or ZoneName == "Arathi Basin" or ZoneName == "Alterac Valley" or ZoneName == "Eye of the Storm" or ZoneName == "Strand of the Ancients" or ZoneName == "Isle of Conquest" or ZoneName == "Azshara Crater") or event=="DUEL_REQUESTED" then
			if CurrentBind ~= "TARGETNEARESTENEMYPLAYER" then
				local success = SetBinding(TB_TargetKey,"TARGETNEARESTENEMYPLAYER");
				SetBinding(TB_LastTargetKey,"TARGETPREVIOUSENEMYPLAYER");
				if success == 1 then
					if TB_Fail then
						--DEFAULT_CHAT_FRAME:AddMessage(""..TB_TargetKey.." set to |cff00ccffenemy players only|r.");
					end
					SaveBindings(which);
					TB_Fail = false
				else
					--DEFAULT_CHAT_FRAME:AddMessage(""..TB_TargetKey.." binding |cffff0000failed|r to update.");
					TB_Fail = true
				end
			end
		else
			if CurrentBind ~= "TARGETNEARESTENEMY" then
				local success = SetBinding(TB_TargetKey,"TARGETNEARESTENEMY");
				SetBinding(TB_LastTargetKey,"TARGETPREVIOUSENEMY");
				if success == 1 then
					if TB_Fail then
						--DEFAULT_CHAT_FRAME:AddMessage(""..TB_TargetKey.." set to |cff00ccffall enemies|r.");
					end
					SaveBindings(which);
					TB_Fail = false
				else
					--DEFAULT_CHAT_FRAME:AddMessage(""..TB_TargetKey.." binding |cffff0000failed|r to update.");
					TB_Fail = true
				end
			end
		end
	end
end